select.choice.separator
Prev | Common » Base Template Reference | Next

## select.choice.separator

select.choice.separator — Returns localized choice separator

## Synopsis

    <xsl:template name="select.choice.separator"/>

## Description

This template enables auto-generation of an appropriate localized "choice" separator (for example, "and" or "or") before the final item in an inline list (though it could also be useful for generating choice separators for non-inline lists).

It currently works by evaluating a processing instruction (PI) of the form <?dbchoice choice="foo"?> :

- if the value of the `choice` pseudo-attribute is "and" or "or", returns a localized "and" or "or"
- otherwise returns the literal value of the `choice` pseudo-attribute

The latter is provided only as a temporary workaround because the locale files do not currently have translations for the word or. So if you want to generate a a logical "or" separator in French (for example), you currently need to do this:

<?dbchoice choice="ou"?>

### Warning

The `dbchoice` processing instruction is an unfortunate hack; support for it may disappear in the future (particularly if and when a more appropriate means for marking up "choice" lists becomes available in DocBook).

Prev | Up | Next
string.lower | Home | evaluate.info.profile